{% extends "base.html" %} {% load static %} {% block css %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="{% static 'css/material-icons.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/roboto.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/bootstarp-datetimepicker.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}"> {% endblock css %} {% block title %}
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote.css" rel="stylesheet">
<h1>Proyecto</h1>
<ol class="breadcrumb">
	<li>
		<a href="javascript:void(0)">Proyectos</a>
	</li>
	<li class="active">Detalles del proyecto</li>
</ol>

{% endblock title %} {% block content %}
<div class="row">
	<div class="col-xs-8">
		<div class="card">
			<header class="card-heading card-green">
				<h2 class="card-title">
					Detalles del proyecto:</h2>
				<ul class="card-actions icons right-top">
				</ul>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-6 col-sm-6">
						<div class="ibox float-e-margins">
							<div class="ibox-title">
							</div>
							<div class="ibox-content">
								<div class="row">
									<div class="col-md-12 col-sm-12">
										<h2 class="card-title">Nombre del proyecto: </h2>
										<p id="career" name="career">{{info.0.name}}</p>
									</div>
									<div class="col-md-12 col-sm-12">
										<h2 class="card-title">Carrera: </h2>
										<p id="career" name="career">{{info.2}}</p>
									</div>
									<div class="col-md-12 col-sm-12">
										<h2 class="card-title">Asignatura: </h2>
										<p>{{subject_name}}-{{subject}}</p>
									</div>
									<div class="col-md-12 col-sm-12">
										<h2 class="card-title">Docente: </h2>
										<p>{{project.guide_teacher.name}}</p>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-md-6 col-sm-6">
						<div class="ibox float-e-margins">
							<div class="ibox-title">
							</div>
							<div class="ibox-content">
								<div class="col-md-12 col-sm-12">
									<h2 class="card-title">Nombres Tesistas:</h2>
									<p>
										{% for student in info.0.student_set.all %} {{student.name}}
										<br> {% endfor %}
									</p>
								</div>
								<div class="col-md-12 col-sm-12">
									<h2 class="card-title">Estado: </h2>
									{% if info.0.status == "EC" %}
									<label class="label label-info" style="color:white">En Curso</label>
									{% elif info.0.status == "ER" %}
									<label class="label label-warning" style="color:white">En Revision</label>
									{% elif info.0.status == "AC" %}
									<label class="label label-success" style="color:white">Aceptado</label>
									{% elif info.0.status == "AP" %}
									<label class="label label-success" style="color:white">Aprobado</label>
									{% elif info.0.status == "RP" %}
									<label class="label label-danger" style="color:white">Reprobado</label>
									{% elif info.0.status == "RE" %}
									<label class="label label-danger" style="color:white">Rechazado</label>
									{% elif info.0.status == "TE" %}
									<label class="label label-success" style="color:white">Completado</label>
									{% elif info.0.status == "CA" %}
									<label class="label label-danger" style="color:white">Caducado</label>
									{% endif %}
								</div>
								<div class="col-md-12 col-sm-12">
									<hr> {% if rubric == 1 %}
									<div data-name="badge-check" data-code="f110">
										<i class="zmdi zmdi-badge-check zmdi-hc-fw"></i>
										<span>Rúbrica</span>
										</a>
									</div>
									{% else %}
									<div data-name="close-circle" data-code="f135">
										<i class="zmdi zmdi-close-circle zmdi-hc-fw"></i>
										<span>Rúbrica</span>
										</a>
									</div>
									{% endif %}
									<br> {% if abetRubric == 1 %}
									<div data-name="badge-check" data-code="f110">
										<i class="zmdi zmdi-badge-check zmdi-hc-fw"></i>
										<span>Rúbrica Abet</span>
										</a>
									</div>
									{% else %}
									<div data-name="close-circle" data-code="f135">
										<i class="zmdi zmdi-close-circle zmdi-hc-fw"></i>
										<span>Rúbrica Abet</span>
										</a>
									</div>
									{% endif %}
									<br> {% if startClass == 1 %}
									<div data-name="badge-check" data-code="f110">
										<i class="zmdi zmdi-badge-check zmdi-hc-fw"></i>
										<span>Inicio de Clases</span>
										</a>
									</div>
									{% else %}
									<div data-name="close-circle" data-code="f135">
										<i class="zmdi zmdi-close-circle zmdi-hc-fw"></i>
										<span>Inicio de Clases</span>
										</a>
									</div>
									{% endif %}
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 col-sm-12">
						<hr>
						<h2> Descripción:</h2>
						<p>
							{{info.0.description}}
						</p>
					</div>
					<div class="col-md-6 col-sm-6">
						<div class="card">
							<header class="card-heading">
								<h2>Tags: </h2>
							</header>
							<div id="tags" class="card-body">
								{{info.1 | safe}}
							</div>
						</div>
					</div>
					<div class="col-md-6 col-sm-6">
						<div class="card">
							<header class="card-heading">
								<h2>Almacenamiento en la nube: </h2>
							</header>
							{% if info.0.cloud == '' %}
								{% if request.session.type != "AL" %}
								<div id="div_url_nube" class="card-body">
									<label for="url_nube" class="control-label">Agregar URL:</label>
									<input id="cloud" class="form-control" type="text" name="name">
									<button id="agregar_url_nube" type="button" class="btn-sm btn btn-primary" data-project="{{info.0.pk}}" style="">Agregar</button>
								</div>
								{% else %}
								<div class="row card-body">
									<label for="url_nube" class="control-label">El docente aun no asocia un drive</label>
								</div>
								{% endif %}
							{% else %}
								<div id="div_url_nube" class="card-body">
									<label for="url_nube" class="control-label">URL de la nube:</label>
									<a class="btn btn-block btn-primary" href="{{info.0.cloud}}"><i class="glyphicon glyphicon-cloud"></i> Nube</a>
									{% if request.session.type != 'AL' %}
									<button data-toggle="modal" data-target="#cloudModal" type="button" class="btn-sm btn btn-primary" data-project="{{info.0.pk}}" style="">Modificar</button>
									{% endif %}
								</div>
							{% endif %}
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-xs-4">
		<div class="card">
			<header class="card-heading card-green">
				<h2 class="card-title">
					Acciones:</h2>
				<ul class="card-actions icons right-top">
				</ul>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12 col-sm-12">
						<div class="ibox float-e-margins">
							<div class="ibox-title">
							</div>
							<div class="ibox-content">
								<div class="row">
									{% if request.session.type == "AL" %}
									<div class="col-md-12 col-xs-12">
										<button id="sendMessage" type="button" style="text-align:center" class="btn btn-block btn-sm btn-warning" data-toggle="popover"
										 data-trigger="hover" title="Enviar Mensaje" data-placement="bottom" data-content="Se enviará un mensaje a los involucrados en el proyecto">
											<i class="zmdi zmdi-email"></i>Mensaje</button>
									</div>
									{% else %} {% if not minuta %}
									<div class="col-md-6 col-xs-6" style="vertical-align:middle" id="divagendar">
										<button id="schedule" type="button" class="btn btn-block btn-sm btn-danger" data-toggle="popover" data-trigger="hover" title="Agendar Reunión"
										 data-placement="top" data-content="Se creará una solicitud de reunión que deberá ser aprobada por sus alumnos">
											<i class="zmdi zmdi-calendar"></i>Agendar</button>
									</div>
									{% endif %}
									<div class="col-md-6 col-xs-6">
										<button id="sendMessage" type="button" style="text-align:center" class="btn btn-block btn-sm btn-warning" data-toggle="popover"
										 data-trigger="hover" title="Enviar Mensaje" data-placement="bottom" data-content="Se enviará un mensaje a los involucrados en el proyecto">
											<i class="zmdi zmdi-email"></i>Mensaje</button>
									</div>
									{% endif %}
								</div>
								{% if minuta and request.session.type != "AL" %}
								<hr>
								<div class="row" id="blockValidation">
									<div class="col-md-12">
										<h2>Solicitud de reunión pendiente:</h2>
									</div>
									<div class="col-md-12">
										<label for="minuta_fecha">Fecha:</label>
										<p id="minuta_fecha"> {{minuta.reunion_date}}</p>
									</div>
									<div class="col-md-12">
										<label for="minuta_fecha">Asunto:</label>
										<p id="minuta_fecha"> {{minuta.reunion_theme}}</p>
									</div>
									<div class="col-md-12">
										<label for="minuta_fecha">Solicitudes:</label>
										{% for solicitud in validations %} {% if solicitud.validation_status == "PE" %}
										<p>
											<i style="color:#f8c200" class="zmdi zmdi-minus-circle"></i> {{solicitud.student}}</p>
										{% elif solicitud.validation_status == "AP" %}
										<p>
											<i style="color:green" class="zmdi zmdi-check"></i> {{solicitud.student}}</p>
										{% elif solicitud.validation_status == "RE" %}
										<p>
											<i style="color:rgb(161, 14, 14)" class="zmdi zmdi-block"></i> {{solicitud.student}}</p>
										{% endif %} {% endfor %}
									</div>
									{% if val_flag %}
									<div class="col-md-12">
										<button class="btn btn-sm btn-primary btn-block" data-toggle="modal" data-target="#detailsModal">Verificar Reunión</button>
									</div>
									{% endif %}
								</div>
								{% endif %}
								{% if retro_pendientes and request.session.type == "AL" %}
								<hr>
								<div class="row" id="blockValidation">
									<div class="col-md-12">
										<h2>Retroalimentaciones:</h2>
									</div>
									{% for retro in retro_pendientes %}
									<div class="col-md-9">
										<div class="col-md-12">
											<label for="minuta_fecha">Fecha:</label>
											<p id="minuta_fecha"> {{retro.minuta.reunion_date}}</p>
										</div>
										<div class="col-md-12">
											<label for="minuta_fecha">Asunto:</label>
											<p id="minuta_fecha"> {{retro.minuta.reunion_theme}}</p>
										</div>
									</div>
									<div class="col-md-3 col-sm-3" style="padding-top: 6%">
										<button class="retro_detail btn btn-warning btn-fab btn-fab-sm" data-toggle="modal" data-target="#detailsRetro" data-retropk="{{retro.pk}}">
											<i class="zmdi zmdi-eye"></i><div class="ripple-container"></div>
										</button>
									</div>
									{% endfor %}
								</div>
								{% endif %}
								{% if solicitud %}
								<hr>
								<div class="row" id="blockValidation">
									<div class="col-md-12">
										<h2>Solicitud de reunión pendiente:</h2>
									</div>
									<div class="col-md-12">
										<div class="row">
											<div class="col-md-12 col-sm-12">
												<label for="minuta_fecha">Fecha:</label>
												<p id="minuta_fecha"> {{solicitud.minuta.reunion_date}}</p>
											</div>
											<div class="col-md-12 col-sm-12">
												<label for="minuta_fecha">Asunto:</label>
												<p id="minuta_fecha"> {{solicitud.minuta.reunion_theme}}</p>
											</div>
											<div class="row text-center">
												<div class="col-md-offset-1 col-sm-offset-1 col-md-6 col-sm-6">
													<div class="row">
														{% if solicitud.validation_status == "PE" %}
														<div class="col-md-6 col-sm-6">
															<button class="btn-sm btn btn-green pull-left" id="acepto" data-validationpk="{{solicitud.pk}}">
																<i class="zmdi zmdi-check"></i>Acepto</button>
														</div>
														<div class="col-md-6 col-sm-6">
															<button class="btn-sm btn btn-danger pull-left" data-validationpk="{{solicitud.pk}}" data-toggle="modal" data-target="#commentModal">
																<i class="zmdi zmdi-block"></i>Rechazo</button>
														</div>
														{% endif %}
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								{% endif %}{% if minutas_pendientes and request.session.type != "AL" %}
								<hr>
								<div class="row" id="blockMinutas">
									<div class="col-md-12">
										<h2>Minutas para revisar:</h2>
									</div>
									{% for minuta in minutas_pendientes %}
									<div class="col-md-12">
										<div class="row">
											<div class="col-md-9 col-sm-9">
												<label for="minuta_comment">Tema tratado:</label>
												<p id="minuta_comment">{{minuta.reunion_theme}}</p>
											</div>
											<div class="col-md-3 col-sm-3" style="padding-top: 6%">
												<button class="minuta_detail btn btn-warning btn-fab btn-fab-sm" data-toggle="modal" data-target="#detailsMinuta" data-minutapk="{{minuta.pk}}">
													<i class="zmdi zmdi-eye"></i><div class="ripple-container"></div>
												</button>
											</div>
										</div>
									</div>
									{% endfor %}
								</div>
								{% endif %}
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		{% if request.session.type != "AL" %}
		<div class="card">
			<header class="card-heading card-green">
				<h2 class="card-title">
					Compartir:</h2>
				<ul class="card-actions icons right-top">
				</ul>
			</header>
			<div class="card-body">
				<div class="row">
					{% if project.guide_teacher.user == request.user %}
					<div class="col-xs-12 col-md-12">
						<h2>Agregar:</h2>
						<hr>
					</div>
					<div class="col-xs-12 col-md-12">
						<div class="form-group" style="margin-top:0px">
							<label class="control-label" for="docente"></label>
							{% if teachers %}
							<select id="docente" class="form-control" style="margin-top:0px">
								{% for teacher in teachers %}
									<option value="{{teacher.pk}}">{{teacher.name |safe}}</option>
								{% endfor %}
							</select>
							{% else %}
							<select class="form-control select" disabled>
								<option value="" selected>Llegaste al máximo de docentes...</option>
							</select>
							{% endif%}
						</div>
						<a id="share" class="btn btn-sm btn-block btn-success">Agregar</a>
					</div>
					{% endif %}
					{% if shared_teachers %}
					<div class="col-xs-12 col-md-12">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th><h3>Docentes invitados</h3></th>
									</tr>
								</thead>
								<tbody id="teachers_body">
									{% for teacher in shared_teachers %}
									<tr>
										<td><h3>{{teacher.name}}</h3></td>
									</tr>
									{% endfor %}
								</tbody>
							</table>
						</div>
					</div>
					{% else %}
						<div class="col-xs-12 col-md-12" id="shared_table" style="display:none">
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Docentes invitados</th>
										</tr>
									</thead>
									<tbody id="teachers_body">
										{% if shared_teacher %}
										{% for teacher in shared_teachers %}
										<tr>
											<td>{{teacher.name}}</td>
										</tr>
										{% endfor %}
										{% endif %}
									</tbody>
								</table>
							</div>
						</div>
					{% endif %}
				</div>
			</div>
		</div>
		{% endif %}
	</div>
	<div class="col-xs-12 col-md-12">
		<div class="card">
			<header class="card-heading">
				<ul class="nav nav-pills nav-pills-primary" role="tablist">
					<li class="active">
						<a href="#pillnav2" role="tab" data-toggle="tab">
							<i class="zmdi zmdi-calendar-note"></i> Retroalimentaciones
						</a>
					</li>
					<li>
						<a href="#pillnav1" role="tab" data-toggle="tab">
							<i class="zmdi zmdi-home"></i> Evaluaciones
						</a>
					</li>
				</ul>
			</header>
			<div class="card-body p-0">
				<div id="pillContent1" class="tab-content m-t-15 m-l-15 m-r-15">
					<div class="tab-pane fade" id="pillnav1">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12">
								<div class="card card-data-tables product-table-wrapper">
									<header class="card-heading card-blue text-center">
										<h2 class="card-title">Evaluaciones</h2>
										<div class="card-search">
											<div id="productsTable_wrapper" class="form-group label-floating is-empty">
												<i class="zmdi zmdi-search search-icon-left"></i>
												<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
												<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
													<i class="zmdi zmdi-close"></i>
												</a>
											</div>
										</div>
										<ul class="card-actions icons right-top">
											<li id="deleteItems" style="display: none;">
												<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
												<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
													<i class="zmdi zmdi-delete"></i>
												</a>
											</li>
											<li>
												<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
													<i class="zmdi zmdi-search"></i>
												</a>
											</li>
											<li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
												<a href="javascript:void(0)" data-toggle="dropdown">
													<i class="zmdi zmdi-more-vert"></i>
												</a>
												<div id="dataTablesLength">
												</div>
											</li>
										</ul>
									</header>
									<div class="card-body p-0">
										<div class="table-responsive">
											<table id="bitacora" class="mdl-data-table table-stripped m-t-30" cellspacing="0" width="100%">
												<thead>
													<tr>
														<th class="col-md-2" style="text-align:center">Semana</th>
														<th data-orderable="false" class="col-md-2" style="text-align:center">Tipo de Evaluación</th>
														<th class="col-md-2" style="text-align:center">Fecha</th>
														<th data-orderable="false" class="col-md-2" style="text-align:center"> </th>
													</tr>
												</thead>
												<tbody>
													{% for evaluation in evaluations %}
													<tr>
														<td style="text-align:center">
															<h1>
																<span class="label label-success">{{evaluation.0.session.number}}</span>
															</h1>
														</td>
														{% if evaluation.1 == 1 %}
														<td style="text-align:center"> <span class="label label-warning">Hito</span></td>
														{% elif evaluation.1 == 0 %}
														<td style="text-align:center"> <span class="label label-info">Semanal</span></td>
														{% endif %}
														<td style="text-align:center">
															{{evaluation.0.date}}
														</td>
														<td style="text-align:center">
															<div class="btn-group">
																<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
																	Acciones
																	<span class="caret"></span>
																</button>
																<ul class="dropdown-menu" role="menu">
																	{% if evaluation.2 %}
																	<li>
																		<a href="#">Ver Evaluación ABET</a>
																	</li>
																	{% endif %}
																	{% if evaluation.1 == 1 %}
																	<li>
																		<a class="btn_show_review" data-info="eval-{{ evaluation.0.session.pk }}-{{ evaluation.0.project.pk }}" data-nota1={{evaluation.0.technique_qualificaiton}} data-nota2={{evaluation.0.technique_qualification}} data-nota3={{evaluation.0.memory_qualification}}>Ver resumen</a>
																	</li>
																	{% if evaluation.0.status == "BO" and request.session.type == "DO" or request.session.type == "DC" and evaluation.0.status == "BO"%}
																	<li>
																		<a href="{% url 'evaluation_info' evaluation.0.pk evaluation.1 %}">Continuar Evaluación</a>
																	</li>
																	{% else %}
																	<li>
																		<a href="{% url 'evaluation_info' evaluation.0.pk evaluation.1 %}">Ver más información</a>
																	</li>
																	{% endif %}
																	{% elif evaluation.1 == 0 %}
																	<li>
																		<a class="btn_show_review" data-info="eval-{{ evaluation.0.session.pk }}-{{ evaluation.0.project.pk }}" data-nota1={{evaluation.0.objetive_qualification}} data-nota2={{evaluation.0.activity_qualification}} data-nota3={{evaluation.0.progress_qualification}}>Ver resumen</a>
																	</li>
																		{% if evaluation.0.status == "BO" and request.session.type == "DO" or request.session.type == "DC" and evaluation.0.status == "BO"%}
																		<li>
																			<a href="{% url 'evaluation_info' evaluation.0.pk evaluation.1 %}">Continuar Evaluación</a>
																		</li>
																		{% else %}
																		<li>
																			<a href="{% url 'evaluation_info' evaluation.0.pk evaluation.1 %}">Ver más información</a>
																		</li>
																		{% endif %}
																	{% endif %}
																</ul>
															</div>
														</td style="text-align:center">
													</tr>
													{% endfor %}
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="tab-pane fade active in" id="pillnav2">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12">
								<div class="card card-data-tables product-table-wrapper">
									<header class="card-heading card-blue text-center">
										<h2 class="card-title">Retroalimentaciones</h2>
										<div class="card-search">
											<div id="productsTable_wrapper" class="form-group label-floating is-empty">
												<i class="zmdi zmdi-search search-icon-left"></i>
												<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
												<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
													<i class="zmdi zmdi-close"></i>
												</a>
											</div>
										</div>
										<ul class="card-actions icons right-top">
											<li id="deleteItems" style="display: none;">
												<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
												<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
													<i class="zmdi zmdi-delete"></i>
												</a>
											</li>
											<li>
												<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
													<i class="zmdi zmdi-search"></i>
												</a>
											</li>
											<li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
												<a href="javascript:void(0)" data-toggle="dropdown">
													<i class="zmdi zmdi-more-vert"></i>
												</a>
												<div id="dataTablesLength">
												</div>
											</li>
										</ul>
									</header>
									<div class="card-body p-0">
										<div class="table-responsive">
											<table id="minuta" class="mdl-data-table table-stripped m-t-30" cellspacing="0" width="100%">
												<thead>
													<tr>
														<th class="col-md-2">Fecha</th>
														<th data-orderable="false" class="col-md-4">Tema</th>
														<th class="col-md-3">Estado</th>
														<th data-orderable="false" class="col-md-3" style="text-align:center ">Acciones</th>
													</tr>
												</thead>
												<tbody>
													{% for minuta in minutas %}
													<tr>
														<td>{{minuta.reunion_date}}</td>
														<td>{{minuta.reunion_theme}}</td>
														{% if minuta.status == "PE" %}
														<td style="text-align:center">
															<label class="label label-warning" style="color:white">En Espera</label>
														</td>
														{% elif minuta.status == "AP" %}
														<td style="text-align:center">
															<label class="label label-success" style="color:white">Entregada</label>
														</td>
														{% elif minuta.status == "ER" %}
														<td style="text-align:center">
															<label class="label label-warning" style="color:white">Esperando reunión</label>
														</td>
														{% elif minuta.status == "EM" %}
														<td style="text-align:center">
															<label class="label label-danger" style="color:white">Esperando evidencias</label>
														</td>
														{% elif minuta.status == "AT" %}
														<td style="text-align:center">
															<label class="label label-danger" style="color:white">Atrasada</label>
														</td>
														{% elif minuta.status == "RE" %}
														<td style="text-align:center">
															<label class="label label-danger" style="color:white">Rechazado</label>
														</td>
														{% elif minuta.status == "RM" %}
														<td style="text-align:center">
															<label class="label label-info" style="color:white">Minuta en revisión</label>
														</td>
														{% endif %}
														<td style="text-align:center">
															<div class="btn-group">
																{% if minuta.status == "RE" %}
																<button class="btn btn-warning" id="reject_detail" data-toggle="modal" data-target="detailsModal2" data-minutapk='{{minuta.pk}}'>Detalles</button>
																{% elif minuta.status == "EM" and request.session.type == "AL" or minuta.status == "EM" and request.session.type == "DC" %}
																<button class="btn btn-info" id="cargar_minuta" data-toggle="modal" data-target="#modal_minuta" data-minutapk="{{minuta.pk}}">Agregar Minuta</button>
																{% elif minuta.minutaevidence_set.exists %}
																<a class="btn btn-info" data-toggle="modal" data-target="#detailsMinuta" data-minutapk="{{minuta.pk}}" data-tipo="view">Ver minuta</a>
																{% else %}
																<button type="button" class="btn btn-default dropdown-toggle " data-toggle="dropdown" aria-expanded="false" disabled>
																	Acciones
																	<span class="caret"></span>
																</button>
																{% endif %}
															</div>
														</td style="text-align:center">
													</tr>
													{% endfor %}
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="modal_reunion" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">

				<h4 class="modal-title" id="myModalLabel-2">Agendar Reunión</h4>
				<ul class="card-actions icons right-top">
					<li>
						<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
							<i class="zmdi zmdi-close"></i>
						</a>
					</li>
				</ul>
			</div>
			<div class="modal-body">
				<form action="">
					<div class="row">
						<div class="col-md-6 col-sm-6 col-xs-6">
							<div class="row">
								<div class="col-md-12 col-sm-12 col-xs-12">
									<div class="form-control-wrapper">
										<div class="form-group is-empty">
											<label for="date-end" class="control-label">Fecha de reunión:</label>
											<input id="reunion_date" class="form-control" data-dtp="dtp_42Qvj" type="text">
										</div>
									</div>
								</div>
								<div class="col-md-12 col-sm-12 col-xs-12">
									<div class="form-control-wrapper">
										<div class="form-group is-empty">
											<label for="about" class="control-label">Tema a tratar:</label>
											<input id="about" class="form-control" type="text">
										</div>
									</div>
								</div>
								<div class="col-md-12 col-sm-12 col-xs-12">
									<div class="form-control-wrapper">
										<div class="form-group is-empty">
											<label for="internos" class="control-label">Invitados Internos: </label>
											<select id="internos" class="form-control col-md-12 col-sm-12" multiple="multiple">
												{{receipts | safe }}
											</select>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-6 col-sm-6 col-xs-6">
							<div class="row">
								<div class="col-md-6 col-sm-6 col-xs-6" style="width:100%">
									<div class="form-control-wrapper">
										<div class="form-group label-floating is-empty">
											<label for="externos" class="control-label">Invitados Externos</label>
											<div class="col-md-12 p-r-0 p-l-0">
												<textarea class="form-control" rows="8" id="externos"></textarea>
												<span class="help-block">Ingrese el nombre de el invitado junto con su correo de contacto seguido de un ; . P.E. "Alvaro Alvarez alvaroalvarez@correo.com;"</span>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
				<button id="enviar" type="button" class="btn btn-primary">Ok</button>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>
<div class="modal fullscreen fade" id="modal_minuta" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Registrar Evidencias</h4>
				<ul class="card-actions icons right-top">
					<li>
						<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
							<i class="zmdi zmdi-close"></i>
						</a>
					</li>
				</ul>
			</div>
			<div class="modal-body">
				<form action="" id="minuta_form" method="post" enctype="multipart/form-data">
					{% csrf_token %}
					<div class="row" id="topicos">
						<div class="col-xs-10 col-md-10">
							<h2>Comentarios y Registros:</h2>
							<hr>
						</div>
						<div class="col-xs-2 col-md-2">
							<span class="btn btn-primary btn-round btn-sm" id="agregar_registro">Agregar registro<i class="zmdi zmdi-plus"></i><div class="ripple-container"></div></span>
						</div>
						<div class="col-xs-12 col-md-12">
							<div class="card card-transparent m-b-0">
								<div class="card-body p-0">
									<div class="tabpanel">
										<ul class="nav nav-tabs" id="tab_header">
											<li class="active" role="presentation"><a href="#tab-0" data-toggle="tab" aria-expanded="true">Registro 1</a></li>
										</ul>
									</div>
									<div class="tab-content p-3" id="tab_body">
										<div class="tab-pane animated fadeIn active" id="tab-0">
											<div class="col-md-12 col-sm-12 col-xs-12">
												<div class="form-control-wrapper">
													<div class="form-group is-empty">
														<label for="topic-0" class="control-label">Tema 1:</label>
														<input name="topic-0" id="topic-0" class="form-control" type="text"></input>
													</div>
												</div>
											</div>
											<div class="col-md-12 col-sm-12 col-xs-12">
												<div class="form-control-wrapper">
													<div class="form-group is-empty">
														<label for="evidence-0" class="control-label">Descripción 1:</label>
														<textarea name="evidence-0" id="evidence-0" class="form-control" type="text"></textarea>
													</div>
												</div>
											</div>	
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<h2>Evidencia:</h2>
					<hr>
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="form-control-wrapper">
								<div class="form-group is-empty">
									<div class="input-group">
										<label for="file" class="control-label">Adjuntar archivo:</label>
										<input id="file" name="file" type="file" class="form-control" placeholder="Buscar archivo...">
										<div class="input-group">
											<input type="text" readonly="" class="form-control" placeholder="Placeholder w/file chooser...">
											<span class="input-group-btn input-group-sm">
												<button type="button" class="btn btn-info btn-fab btn-fab-sm">
													<i class="zmdi zmdi-attachment-alt"></i>
												</button>
											</span>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
				<button id="editar_minuta" type="button" class="btn btn-primary" style="display:none">Confirmar</button>
				<button id="enviar_minuta" type="button" class="btn btn-primary">Ok</button>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>
<div class="modal fade" id="commentModal" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">

				<h4 class="modal-title" id="myModalLabel-2">Explicar rechazo</h4>
				<ul class="card-actions icons right-top">
					<li>
						<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
							<i class="zmdi zmdi-close"></i>
						</a>
					</li>
				</ul>
			</div>
			<div class="modal-body">
				<form action="">
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="row">
								<div class="col-md-12 col-sm-12 col-xs-12">
									<div class="form-control-wrapper">
										<div class="form-group is-empty m-t-0">
											<label for="date-end" class="control-label">
												<h2 class="m-t-0">Razón:</h2>
											</label>
											<hr>
											<textarea class="form-control" rows="12" id="comment_reject"></textarea>
											<span class="help-block">Explique las razones por las cuales no puede asistir a la reunión, estas no son vinculantes con respectoa la cancelación
												de la reunión."</span>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
				<button id="rechazar" type="button" class="btn btn-primary">Ok</button>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>

<div class="modal fade" id="show_review" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Detalles de la evaluación</h4>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-xs-12 col-md-12">
						<h2>Comentarios del docente:</h2>
						<hr>
					</div>
					<div class="col-xs-4 col-md-4">
						<div class="card">
							<header class="card-heading bg-success">
								<h2 class="card-title">Avance del producto</h2>
							</header>
							<div id="comment_progress" class="card-body">
							</div>
						</div>
					</div>
					<div class="col-xs-4 col-md-4">
						<div class="card">
							<header class="card-heading bg-success">
								<h2 class="card-title"> Actividades Semanales</h2>
							</header>
							<div id="comment_activity" class="card-body">
							</div>
						</div>
					</div>
					<div class="col-xs-4 col-md-4">
						<div class="card">
							<header class="card-heading bg-success">
								<h2 class="card-title">Cumplimiento de Compromisos</h2>
							</header>
							<div id="comment_accomplishment" class="card-body">
							</div>
						</div>
					</div>
					<hr>
					<div class="col-xs-12 col-md-12">
						<h2>Notas:</h2>
					</div>
					<div class="col-xs-12 col-md-12">
						<div class="table-responsive">
							<table class="table table-striped table-bordered text-center">
								<thead>
								<tr>
									<th id="grade1n" class="text-center"></th>
									<th id="grade2n" class="text-center"></th>
									<th id="grade3n" class="text-center"></th>
								</tr>
								</thead>
								<tbody>
								<tr>
									<td id="grade1"></td>
									<td id="grade2"></td>
									<td id="grade3"></td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<a class="btn btn-block btn-danger" data-dismiss="modal">
				<i class="zmdi zmdi-close"></i> Cerrar
			</a>
		</div>
	</div>
</div>
<div class="modal fade" id="detailsModal" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Detalles de las solicitudes: </h4>
			</div>
			<div class="modal-body" id="">
				{% for validation in validations %} {% if validation.validation_status == "AP" %}
				<div class="card">
					<header class="card-heading bg-success">
						<h2 class="card-title">{{validation.student}}</h2>
					</header>
				</div>
				{% elif validation.validation_status == "RE" %}
				<div class="card">
					<header class="card-heading card-salmon">
						<h2 class="card-title">{{validation.student}}</h2>
					</header>
					<div id="comment_progress" class="card-body">
						<p>
							<h2>
								Este es el comentario con el que el alumno rechazó la solicitud:
							</h2>
							<hr>
							<br> {{validation.comment}}
						</p>
					</div>
				</div>
				{% endif %} {% endfor %}
			</div>
		</div>
		<div class="modal-footer">
			<div class="row">
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-success" data-minutapk="{{minuta.pk}}" id="reunionok" data-dismiss="modal">
						<i class="zmdi zmdi-check"></i> Realizar Reunión
					</a>
				</div>
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-danger" data-minutapk="{{minuta.pk}}" id="reunionno" data-dismiss="modal">
						<i class="zmdi zmdi-close"></i> Re-agendar Reunión
					</a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="detailsModal2" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Detalles de las solicitudes: </h4>
			</div>
			<div class="modal-body" id="cuerpo_details">

			</div>
		</div>
		<div class="modal-footer">
			<div class="row">
				<div class="col-md-12 col-sm-12">
					<a class="btn btn-block btn-success" data-dismiss="modal">
						<i class="zmdi zmdi-check"></i> Cerrar
					</a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fullscreen fade" id="detailsMinuta" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Detalles de la retroalimentación: </h4>
			</div>
			<div class="modal-body" id="cuerpo_minuta">
				<div class="row">
					<div class="col-xs-12 col-md-6 p-0" style="border-right: double grey;">
						<div class="col-md-12 col-xs-12" style="padding-top:3%">
							<div class="row">
								<div class="col-md-3" style="padding-right:0px">
									<label for="file_minuta"><h2>Archivo adjunto <i class="zmdi zmdi-attachment-alt"></i>:</h2></label>
									<hr>
								</div>
								<div class="col-md-9" style="padding-left:0px">
									<a class="btn btn-block btn-success" id="file_minuta"> Descargar </a>
								</div>
							</div>
						</div>
						<div class="col-md-12 col-xs-12" style="padding-top:1%">
							<label for="minuta_det"><h2>Registros:</h2></label>
							<div class="card-body " id="minuta_det">
								
							</div>
						</div>
					</div>
					<div class="col-xs-12 col-md-6" style="vertical-align:middle">
						<div class="row">
							<div class="col-md-4 col-xs-4">
								<div class="card">
									<header class="card-heading card-blue">
										<h3 class="card-title m-0">Fecha de la reunión:</h3>
									</header>
									<div class="card-body p-0 max-h-200 scrollbar overflow-auto" style="margin-top:2%;margin-left:10px;text-align:center">
										<strong><p id="reunion_date_minuta"></p></strong> 
									</div>
								</div>
							</div>
							<div class="col-md-4 col-xs-4">
								<div class="card">
									<header class="card-heading card-blue">
										<h4 class="card-title m-0">Fecha de la retroalimentación:</h4>
									</header>
									<div class="card-body p-0 max-h-200 scrollbar overflow-auto" style="margin-top:2%;margin-left:10px;text-align:center">
										<strong><p id="last_mod"></p></strong>
									</div>
								</div>
							</div>
							<div class="col-md-4 col-xs-4">
								<div class="card">
									<header class="card-heading card-blue">
										<h4 class="card-title m-0">Tema a tratar:</h4>
									</header>
									<div class="card-body p-0 max-h-200 scrollbar overflow-auto" style="margin-top:2%;margin-left:10px;text-align:center">
										<strong><p id="reunion_theme"></p></strong>	
									</div>
								</div>
							</div>
						</div>
						<div class="card">
							<header class="card-heading card-salmon border-bottom">
								<h2 class="card-title">Comentarios:</h2>
							</header>
							<div class="card-body p-0 max-h-400 scrollbar overflow-auto">
								<ul class="list-group p-0" id="comment_list">
								</ul>
							</div>
							<div class="card-footer card-grey border-top">
								<div class="form-group m-5 p-t-4 p-l-75 is-empty" style="padding-top:2%;background-color:rgb(231, 225, 225)">
									<div class="input-group">
										<label class="sr-only">Deja tu comentario...</label>
										<input id="comentario" class="form-control form-rounded input-white" placeholder="Deja tu comentario..." type="text">
										<span class="input-group-btn">
											<a id="send_comment" class="btn btn-blue btn-fab animate-fab btn-fab-sm">
												<i class="zmdi zmdi-mail-send"></i>
											</a>
										</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-body" id="cuerpo_rechazo" hidden>
				<div class="row">
					<div class="col-md-12 col-xs-12">
						<div class="form-group is-empty">
							<label for="retro" class="control-label">Retroalimentacion</label>
							<div>
								<textarea class="form-control" rows="7" id="retro"></textarea>
								<span class="help-block">Este mensaje le llegará al alumno para su correspondiente corrección.</span>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<div class="row" id="footer_details">
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-success" id="approve_minuta" data-dismiss="modal">
						<i class="zmdi zmdi-check"></i> Aceptar
					</a>
				</div>
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-danger" id="reject_minuta">
						<i class="zmdi zmdi-block"></i> Rechazar
					</a>
				</div>
			</div>
			<div class="row" id="footer_retro" hidden>
				<div class="col-md-12 col-sm-12">
					<a class="btn btn-block btn-success" id="send_retro" data-dismiss="modal">
						<i class="zmdi zmdi-check"></i> Enviar
					</a>
				</div>
			</div>
			<div class="row" id="footer_view" hidden>
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-warning" id="editar" data-dismiss="modal">
						<i class="zmdi zmdi-cross"></i> Editar
					</a>
				</div>
				<div class="col-md-6 col-sm-6">
					<a class="btn btn-block btn-danger" id="entendido" data-dismiss="modal">
						<i class="zmdi zmdi-cross"></i> Cerrar
					</a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="detailsRetro" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Detalles de la retroalimentación: </h4>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-md-12 col-xs-12">
						<div class="form-group is-empty">
							<label for="retro_view" class="control-label">Retroalimentación</label>
							<p id="retro_view"></p>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<div class="row" id="footer_view">
				<div class="col-md-12 col-sm-12">
					<a class="btn btn-block btn-success" id="entendido" data-dismiss="modal">
						<i class="zmdi zmdi-check"></i> De Acuerdo
					</a>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- modal cloud -->
<div class="modal fade" id="cloudModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" style="width:70%" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Editar URL</h2>
      </div>
      <div class="modal-body">
        <div class="row">
           <div class="col-md-12">
			   <!-- <input type="text" id="pk_comentario_edit" style="display:none;"> -->
                <div class="form-group">
                    <label class="control-label" for="item">URL</label>
                    <input class="form-control" value="" id="mod_cloud" name="edit_comentario" required type="text">
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-6">
                    <button id="modificar_cloud" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
                </div>
                <div class="col-md-6">
                    <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="messageModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Enviar Mensaje</h2>
      </div>
      <div class="modal-body">
        <div class="row">
           <div class="col-md-12">
                <div class="form-group">
                    <label class="control-label" for="item"> 
					<strong>
						Este mensaje será enviado a todos los involucrados en el proyecto</label>
					</strong>	
					<hr>
                </div>
            </div>
           <div class="col-md-12">
                <div class="form-group" style='margin-top:0px'>
                    <label class="control-label" for="item">Mensaje</label>
                    <textarea class="form-control" rows=6 value="" id="message_content" name="message_content" type="text" required></textarea>
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-6">
                    <button id="send_message" class="btn btn-primary btn-block"><i class="fa fa-envelope"></i> Enviar Mensaje</button>
                </div>
                <div class="col-md-6">
                    <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>




{% endblock content %} {% block javascript %}
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/select2.min.js' %}"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>
<script src="{% static 'js/bootstrap-datetimepicker.min.js' %}"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/locale/es.js"></script>

<script>
	$(document).ready(function () {
		$("#docente").select2();
		$("#share").click(function(){
			var teacher_pk = $("#docente").val();
			data = {
				csrfmiddlewaretoken: "{{ csrf_token }}",
				teacher_pk: teacher_pk,
				project_pk: "{{project.pk}}"
			}
			$.ajax({
				url: '{% url "share_project" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					swal("Éxito!", "Se ha compartido el proyecto.", "success")
						.then((value) => {
							$("#shared_table").show();
							$("#teachers_body").append("<tr>"+response.nombre+'</tr>');
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
			
		});
		$("#editar").click(function(){
			var minuta_pk = $(this).data("minutapk");
			data = {
				csrfmiddlewaretoken: "{{ csrf_token }}",
				minuta_pk: minuta_pk,
			}
			$.ajax({
				url: '{% url "get_info_minuta" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#tab_header").html(response.header);
					$("#tab_body").html(response.tabs)
					$("#enviar_minuta").data("minutapk", minuta_pk);
					$("#modal_minuta").modal("show");
					var i = 0;
					for (i;i<response.cant;i++) {
						$("#evidence-"+i).summernote({height:"150px"});
					}
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#evidence-0").summernote({height:"150px"});
		$("#send_comment").click(function(){
			var comment = $("#comentario").val()
			var minuta_pk = $(this).data("minutapk");
			data = {
				csrfmiddlewaretoken: "{{ csrf_token }}",
				comment: comment,
				minuta_pk: minuta_pk,
			}
			$.ajax({
				url: '{% url "send_comment" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#comentario").val("");
					$("#comment_list").append(response.html);
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		var i = 1;
		$("#sendMessage").click(function(){
			$("#messageModal").modal("show");
		})
		$('#modal_minuta').on('show.bs.modal', function (event) {
			console.log("MINUTA");
			var button = $(event.relatedTarget) // Button that triggered the modal
			var minuta_pk = button.data('minutapk'); // Extract info from data-* attributes
			console.log(minuta_pk);
			if (minuta_pk != ""){
				$("#enviar_minuta").data("minutapk", minuta_pk);
			};

		});
		$('#modal_minuta').on("hidden.bs.modal", function (event) {
			console.log("cerrada");											
			$("#tab_header").html('<li class="active" role="presentation"><a href="#tab-0" data-toggle="tab" aria-expanded="true">Registro 1</a></li>')
			$("#tab_body").html('<div class="tab-pane animated fadeIn active" id="tab-0">\
				<div class="col-md-12 col-sm-12 col-xs-12">\
					<div class="form-control-wrapper">\
						<div class="form-group is-empty">\
							<label for="topic-0" class="control-label">Tema 1:</label>\
							<input name="topic-0" id="topic-0" class="form-control" type="text"></input>\
						</div>\
					</div>\
				</div>\
				<div class="col-md-12 col-sm-12 col-xs-12">\
					<div class="form-control-wrapper">\
						<div class="form-group is-empty">\
							<label for="evidence-0" class="control-label">Descripción 1:</label>\
							<textarea name="evidence-0" id="evidence-0" class="form-control" type="text"></textarea>\
						</div>\
					</div>\
				</div>\
			</div>')
			$("#evidence-0").summernote({height:"150px"});
		});

		$('#reject_detail').on('click', function (event) {
			console.log("CLICK");
			var button = $(this) // Button that triggered the modal
			var pk_minuta = button.data('minutapk'); // Extract info from data-* attributes
			data = {
				csrfmiddlewaretoken: "{{ csrf_token }}",
				minutapk: pk_minuta,
			}
			$.ajax({
				url: '{% url "minuta_details" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#cuerpo_details").html(response.html);
					$("#detailsModal2").modal("toggle");
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});

		$("#enviar_minuta").click(function () {
			var document = $('#file');
			var btn = $(this);
			btn.attr('disabled', true);
			btn.text('Guardando...');
			var minutapk = btn.data("minutapk");
			var formData = new FormData();

			var data = $('#minuta_form').serializeArray();

			$.each(data, function (key, input) {
				formData.append(input.name, input.value);
			});

			formData.append('file', document[0].files[0]);
			//formEdData.append('nameInstitution', $('#nameInstitutionAdd').val());
			formData.append("minutapk", minutapk);

			$.ajax({
				data: formData,
				cache: false,
				contentType: false,
				processData: false,
				type: 'POST',
				url: '{% url "update_minuta"  %}',
				success: function (result) {
					btn.attr('disabled', false);
					btn.text('Guardar');
					$('#modal_minuta').modal('toggle');
					swal("Éxito!", "La reunión ha sido agendada correctamente.", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function (jqXHR, exception) {
					swal("Error", "Contacte a su administrador", "warning");
				}
			});
		});
		$("#reunionok").click(function () {
			var minutapk = $(this).data('minutapk');
			var data = {
				minutapk: minutapk,
				csrfmiddlewaretoken: "{{csrf_token}}"
			}

			$.ajax({
				url: '{% url "approve_reunion" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "La reunión ha sido agendada correctamente.", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#reunionno").click(function () {
			var minutapk = $(this).data('minutapk');
			var data = {
				minutapk: minutapk,
				csrfmiddlewaretoken: "{{csrf_token}}"
			}

			$.ajax({
				url: '{% url "reject_reunion" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "La reunión ha sido rechazada correctamente.", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});

		$('#commentModal').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk_validation = button.data('validationpk'); // Extract info from data-* attributes
			$("#rechazar").data("validationpk", pk_validation);
		});

		$("#acepto").click(function () {
			var pk_validation = $(this).data("validationpk");
			var data = {
				pk_validation: pk_validation,
				status: "AP",
				csrfmiddlewaretoken: "{{csrf_token}}"
			}

			$.ajax({
				url: '{% url "update_validation" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "La solicitud de reunión ha sido actualizada correctamente.", "success");
					$("#blockValidation").remove();
					window.location.reload();
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});

		$("#rechazar").click(function () {
			var pk_validation = $(this).data("validationpk");
			var comment = $("#comment_reject").val();
			var data = {
				pk_validation: pk_validation,
				comment: comment,
				status: "RE",
				csrfmiddlewaretoken: "{{csrf_token}}"
			}

			$.ajax({
				url: '{% url "update_validation" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "La solicitud de reunión ha sido actualizada correctamente.", "success")
						.then((value) => {
							$("#blockValidation").remove();
							$('#agendar_modal').modal('toggle');
							window.location.reload();
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});

		$("#internos").select2({
			theme: "bootstrap",
			width: "100%"
		});

		$("#bitacora").DataTable({
			"aaSorting": [
				[0, 'asc']
			],
			destroy: true,
			searching: false
		});
		$("#minuta").DataTable({
			"aaSorting": [
				[0, 'asc']
			],
			destroy: true,
			searching: false
		});
		$("#reunion_date").datetimepicker({
			format: 'DD/MM/YYYY - HH:mm',
		});
		$("#enviar").click(function () {
			var data = {
				internos: $("#internos").val(),
				projectpk: "{{project.pk}}",
				externos: $("#externos").val(),
				fecha: $("#reunion_date").val(),
				about: $("#about").val(),
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "agendar_minuta" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "La solicitud de reunión ha sido enviada a todos los involucrados.", "success")
						.then((value) => {
							$("#divagendar").remove();
							$('#modal_reunion').modal('toggle');
							window.location.reload(); a
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
			console.log(data);
		})
		$('#detailsMinuta').on('show.bs.modal', function (event) {
			console.log("MINUTA");
			var button = $(event.relatedTarget)
			var flag = button.data('tipo'); // Button that triggered the modal

			if (flag == "view") {
				$("#footer_details").hide();
				$("#footer_retro").hide();
				$("#footer_view").show();
			}
			var minuta_pk = button.data('minutapk'); // Extract info from data-* attributes
			$("#send_retro").data("minutapk",minuta_pk);
			$("#send_comment").data("minutapk",minuta_pk);
			$("#editar").data("minutapk",minuta_pk);
			$("#approve_minuta").data("minutapk",minuta_pk);
			var data = {
				minutapk: minuta_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "minuta_detail" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#reunion_date_minuta").html(response.reunion_date);
					$("#reunion_theme").html(response.reunion_theme);
					$("#last_mod").html(response.last_mod);
					if (response.filename == ""){
						$("#file_minuta").html("Sin Archivo");
						$("#file_minuta").attr("disabled",true);
					} else{
						$("#file_minuta").html("Descargar: "+response.filename);
						$("#file_minuta").attr("href", response.file);
					}
					$("#autor_minuta").html(response.author);
					$("#minuta_det").html(response.minuta);
					$("#comment_list").html(response.comment_html);
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});

		});
		$("#schedule").click(function(){
			$("#modal_reunion").modal("show");
		})
		$('#modal_reunion').on('show.bs.modal',function(){
			var data = {
				projectpk: "{{project.pk}}",
				carreer_pk: "{{project.carreer}}",
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "get_invites" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#internos").html(response.receipts);

				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#reject_minuta").click(function(){
			$("#cuerpo_minuta").hide();
			$("#cuerpo_rechazo").show();
			$("#footer_details").hide();
			$("#footer_retro").show();
		});
		$("#approve_minuta").click(function(){
			var minutapk = $(this).data("minutapk");
			var data = {
				minutapk: minutapk,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "approve_minuta" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					swal("Éxito!","Se ha aprobado la minuta correctamente.","success")
					.then((value) => {
						window.location.reload();
					});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#send_retro").click(function(){
			var minutapk = $(this).data("minutapk");
			var data = {
				minutapk: minutapk,
				comment: $("#retro").val(),
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "reject_minuta" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					swal("Exito!","Se ha enviado la retroalimentacion correctamente.","success")
					.then((value) => {
						window.location.reload();
					});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$('#detailsRetro').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var retro_pk = button.data('retropk'); // Extract info from data-* attributes
			$("#entendido").data("retropk",retro_pk);
			var data = {
				retro_pk: retro_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "get_retro_minuta" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					$("#retro_view").html(response.html);
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});

		});
		$("#entendido").click(function(){
			console.log("CLICK")
			var button = $(event.relatedTarget) // Button that triggered the modal
			var retro_pk = button.data('retropk'); // Extract info from data-* attributes
			$("#entendido").data("retropk",retro_pk);
			var data = {
				retro_pk: retro_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};
			$.ajax({
				url: '{% url "update_retro_minuta" %}',
				data: data,
				type: 'POST',
				success: function (response) {
					window.location.reload();
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#send_message").click(function () {
			var projectpk = "{{project.pk}}";
			var content = $("#message_content").val();
			var data = {
				projectpk: projectpk,
				message_content: content,
				csrfmiddlewaretoken: "{{csrf_token}}"
			}

			$.ajax({
				url: '{% url "send_message" %}',
				data: data,
				type: 'POST',
				success: function (result) {
					swal("Éxito!", "El mensaje ha sido enviado con éxito.", "success")
						.then((value) => {
							$("#message_content").val("");
						});
				},
				error: function () {
					swal("Error!", "Contacte a su administrador.", "warning")
				}
			});
		});
		$("#agregar_registro").click(function(){
			var header = '<li role="presentation">\
						<a href="#tab-'+i+'" data-toggle="tab" aria-expanded="true">Registro '+(i+1)+'</a>\
					</li>';
			var tab = '<div class="tab-pane animated fadeIn" id="tab-'+i+'">\
							<div class="col-md-12 col-sm-12 col-xs-12">\
								<div class="form-control-wrapper">\
									<div class="form-group is-empty">\
										<label for="topic-'+i+'" class="control-label">Tema '+(i+1)+':</label>\
										<input name="topic-'+i+'" id="topic-'+i+'" class="form-control" type="text"></input>\
									</div>\
								</div>\
							</div>\
							<div class="col-md-12 col-sm-12 col-xs-12">\
								<div class="form-control-wrapper">\
									<div class="form-group is-empty">\
										<label for="evidence-'+i+'" class="control-label">Descripción '+(i+1)+':</label>\
										<textarea name="evidence-'+i+'" id="evidence-'+i+'" class="form-control" type="text"></textarea>\
									</div>\
								</div>\
							</div>\
						</div>';
			$("#tab_header").append(header);
			$("#tab_body").append(tab);
			$("#evidence-"+i).summernote({height:"150px"});
			i++;
			
		});
	})
</script>
<script>
	$("#infoSchedule").on("click", function () {
		swal({
			title: "Información",
			text: "Permite agendar una reunión entre Name1, Name2, NameN",
			icon: "info",
		});
	})
</script>

<script>
	$('.btn_show_review').on('click', function () {
		var data = $(this).data('info');
		$.ajax({
			url: '{% url "get_evaluation_review" %}',
			data: {
				info: data,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			},
			type: 'POST',
			success: function (result) {
				if (result.mensaje == 'ok') {
					$("#grade1n").html(result.grade1n);
					$("#grade1").html(result.grade1);
					$("#grade2n").html(result.grade2n);
					$("#grade2").html(result.grade2);
					$("#grade3n").html(result.grade3n);
					$("#grade3").html(result.grade3);
					$('#comment_progress').html(result.comment_progress)
					$('#comment_activity').html(result.comment_activity)
					$('#comment_accomplishment').html(result.comment_accomplishment)

					$('#show_review').modal('show');
				}
			},
			error: function () {

			}
		});

	});

</script>
<script>
	$("#cloudModal").on('show.bs.modal', function(event){
		var button = $(event.relatedTarget);
		var pk_project = button.data('project');

		data = {
			csrfmiddlewaretoken: "{{ csrf_token }}",
			pk: pk_project,
		};


		$.post("{% url 'get_cloud' %}", data, function(response){
			$("#mod_cloud").val(response.cloud);
		});

		$('#modificar_cloud').data("project", pk_project);
	});

	$('#modificar_cloud').on('click', function(){
		var pk_project = $(this).data("project");

		data = {
			csrfmiddlewaretoken: "{{ csrf_token }}",
			pk: pk_project,
			cloud: $("#mod_cloud").val()
		};

		$.ajax({
			url: '{% url "modificar_cloud" %}',
			data: data,
			type: "POST",
			success: function(response){
				swal("Éxito!", "La URL de la nube ha sido actualizada correctamente.", "success")
				.then((value) => {
					window.location.reload();
				});
			},
			error: function(){
				swal("Error!", "Contacte a su administrador.", "warning");
			}
		});

	});

	$('#agregar_url_nube').on('click', function() {
		var pk = $(this).data("project");
		console.log(pk);

		data = {
			csrfmiddlewaretoken: "{{ csrf_token }}",
			pk_project: pk,
			cloud: $("#cloud").val(),
		};

		$.post("{% url 'agregar_cloud' %}", data, function(response) {
			$("#div_url_nube").html('<label for="url_nube" class="control-label">URL de la nube:</label><a class="btn btn-block btn-primary" href='+ $("#cloud").val() +'><i class="glyphicon glyphicon-cloud"></i> Nube</a><button data-toggle="modal" data-target="#cloudModal" type="button" class="btn-sm btn btn-primary" data-project='+ pk +' style="">Modificar</button>')
		});
	});
</script> {% endblock javascript %}
